%define git_version %(echo %{version} | sed -e 's/\\./_/g')

Name:    log4cplus
Version: 2.1.0
Release: 1
Summary: simple logging API by using C++
License: BSD-2-Clause and BSL-1.0 and Apache-2.0
URL:	 https://sourceforge.net/projects/log4cplus
Source0: https://github.com/log4cplus/log4cplus/releases/download/REL_%{git_version}/%{name}-REL_2_1_0.tar.gz
# https://github.com/log4cplus/log4cplus/issues/169
# git clone --recursive https://github.com/log4cplus/log4cplus.git
# cd log4cplus
# tar -cvf threadpool.tar.gz threadpool
Source1: threadpool.tar.gz

BuildRequires: 	cmake g++

%description
log4cplus is a simple to use C++ logging API providing thread-safe, flexible, and arbitrarily granular control over log management and configuration. It is modelled after the Java log4j API.
%package devel
Summary: log4cplus headers, static libraries
Requires: %name = %version

%description devel
log4cplus is a simple to use C++ logging API providing thread-safe, 
flexible, and arbitrarily granular control over log management and 
configuration. It is modeled after the Java log4j API.

%prep
%setup -q -n %{name}-REL_2_1_0/
rm -rf threadpool
cp %{SOURCE1} .
tar -xvf threadpool.tar.gz
rm -rf threadpool.tar.gz

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS="$RPM_OPT_FLAGS -std=c++11"
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%_libdir/lib*.so*
%_libdir/*.la

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/log4cplus.pc
%{_libdir}/lib*.so

%changelog
* Fri Nov 10 2023 Ge Wang <wang__ge@126.com> - 2.1.0-1
- Update to version 2.1.0

* Tue Jun 7 2022 lijian <lijian2@kylinos.cn> - 2.0.7-2
- License compliance rectification

* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.0.7-1
- Upgrade to version 2.0.7

* Tue Jun 08 2021 wulei <wulei80@huawei.com> - 2.0.5-4
- fixes failed: error: no acceptable C compiler found in $PATH

* Mon Oct 12 2020 liqingqing_1229 <liqingqing3@huawei.com> - 2.0.5-3
- update source0

* Tue Aug 11 2020 douyan <douyan@kylinos.cn> - 2.0.5-2
- add devel package

* Sun Mar 29 2020 Wei Xiong <myeuler@163.com>
- Package init

